## kcm-fcitx5 0.0~git20200615.21dbb51

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
project(kcm-fcitx VERSION 0.5.99)

set(QT_MIN_VERSION "5.14.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
option(ENABLE_KCM "Enable KDE Config Module" On)
option(ENABLE_CONFIG_QT "Enable fcitx5-config-qt" On)
option(ENABLE_TEST "Enable test" Off)
add_definitions(-DTRANSLATION_DOMAIN=\"kcm_fcitx5\")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"kcm_fcitx5\")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras)

if (ENABLE_CONFIG_QT)
    find_package(KF5 REQUIRED COMPONENTS
        WidgetsAddons
        ItemViews
    )
    find_package(Fcitx5Qt5WidgetsAddons REQUIRED)
endif()

if (ENABLE_KCM)
    find_package(KF5CoreAddons REQUIRED)
    find_package(KF5I18n REQUIRED)
    find_package(KF5Package REQUIRED)
    find_package(KF5Declarative REQUIRED)
    find_package(KF5Kirigami2 REQUIRED)
    find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)
endif()

find_package(Fcitx5Core REQUIRED)
find_package(Fcitx5Utils REQUIRED)
find_package(Fcitx5Qt5DBusAddons REQUIRED)
find_package(IsoCodes REQUIRED)

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(X11 REQUIRED)
find_package(XKeyboardConfig REQUIRED)
pkg_check_modules(XkbFile "xkbfile" REQUIRED IMPORTED_TARGET)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(layout)

=== layout/CMakeLists.txt ===
add_library(X11Import UNKNOWN IMPORTED)
set_target_properties(X11Import PROPERTIES
    IMPORTED_LOCATION "${X11_X11_LIB}"
    INTERFACE_INCLUDE_DIRECTORIES "${X11_X11_INCLUDE_PATH}")

add_library(X11XkblibImport INTERFACE IMPORTED)
set_target_properties(X11XkblibImport PROPERTIES
    INTERFACE_INCLUDE_DIRECTORIES "${X11_Xkblib_INCLUDE_PATH}")

add_library(layoutlib STATIC keyboardlayoutwidget.cpp)
set_target_properties(layoutlib PROPERTIES COMPILE_FLAGS "-fPIC")
target_link_libraries(layoutlib PUBLIC Fcitx5::Utils Qt5::Widgets PRIVATE Qt5::X11Extras X11Import X11XkblibImport PkgConfig::XkbFile)
target_include_directories(layoutlib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR})

set(kbd_layout_viewer_SOURCES
  main.cpp
  )

add_executable(kbd-layout-viewer5 ${kbd_layout_viewer_SOURCES})

target_link_libraries(kbd-layout-viewer5 Fcitx5::Utils Qt5::Widgets Qt5::X11Extras layoutlib)

install(TARGETS kbd-layout-viewer5 DESTINATION ${KDE_INSTALL_BINDIR})
fcitx5_translate_desktop_file(
  kbd-layout-viewer5.desktop.in
  kbd-layout-viewer5.desktop)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kbd-layout-viewer5.desktop"
  DESTINATION ${KDE_INSTALL_APPDIR})

=== src/CMakeLists.txt ===
if (ENABLE_KCM)
    add_subdirectory(kcm)
endif()
add_subdirectory(lib)

if (ENABLE_CONFIG_QT)
    add_subdirectory(configtool)
endif()

=== src/kcm/CMakeLists.txt ===
add_library(kcm_fcitx5 MODULE
    main.cpp
    qtkeytrans.cpp
)

target_link_libraries(kcm_fcitx5
  KF5::CoreAddons
  KF5::I18n
  KF5::QuickAddons
  XKBCommon::XKBCommon
  configlib
)

fcitx5_translate_desktop_file(kcm_fcitx5.desktop.in
  kcm_fcitx5.desktop)
kcoreaddons_desktop_to_json(kcm_fcitx5 "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx5.desktop" DEFAULT_SERVICE_TYPE)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/kcm_fcitx5.desktop"
  DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(TARGETS kcm_fcitx5 DESTINATION ${KDE_INSTALL_PLUGINDIR}/kcms)

kpackage_install_package(package kcm_fcitx5 kcms)

=== src/lib/configlib/CMakeLists.txt ===
add_library(configlib STATIC
    iso639.cpp
    dbusprovider.cpp
    model.cpp
    addonmodel.cpp
    imconfig.cpp
    logging.cpp
    font.cpp
    layoutmodel.cpp
    layoutprovider.cpp
)
set_target_properties(configlib PROPERTIES
    COMPILE_FLAGS "-fPIC"
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_include_directories(configlib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(configlib Qt5::Core Qt5::Gui Fcitx5Qt5::DBusAddons Fcitx5::Core Fcitx5::Utils)

=== src/lib/configwidgetslib/CMakeLists.txt ===
add_library(configwidgetslib STATIC
    configwidget.cpp
    addonselector.cpp
    categoryhelper.cpp
    erroroverlay.cpp
    fontbutton.cpp
    keylistwidget.cpp
    layoutselector.cpp
    listoptionwidget.cpp
    optionwidget.cpp
    varianthelper.cpp
    verticalscrollarea.cpp
    impage.cpp
)
set_target_properties(configwidgetslib PROPERTIES
    COMPILE_FLAGS "-fPIC"
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"
)
target_include_directories(configwidgetslib INTERFACE ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR})
target_link_libraries(configwidgetslib Qt5::Core Qt5::Widgets Qt5::X11Extras KF5::WidgetsAddons KF5::ItemViews Fcitx5::Utils Fcitx5Qt5::DBusAddons Fcitx5Qt5::WidgetsAddons configlib layoutlib)

=== debian/changelog ===
kcm-fcitx5 (0.0~git20200615.21dbb51-2) unstable; urgency=medium

  * Add fcitx5-module-dbus to Depends

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 03 Jul 2020 14:15:28 +0800

kcm-fcitx5 (0.0~git20200615.21dbb51-1) unstable; urgency=medium

  * New upstream snapshot
  * Update Build-Depends for new version
  * Refresh patches
  * Bump debhelper-compat to 13

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 02 Jul 2020 13:49:34 +0800

kcm-fcitx5 (0.0~git20200403.8afa921-1) unstable; urgency=medium

  * New upstream snapshot
  * Enable dh_missing fail-missing
  * Add patches to fix building
  * Rename icon to fcitx5

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 10 Apr 2020 23:12:16 +0800

kcm-fcitx5 (0.0~git20191231.d4e6ec5-1) unstable; urgency=medium

  * Initial release.

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 22 Feb 2020 12:38:48 +0800

=== debian/control ===
Source: kcm-fcitx5
Priority: optional
Section: kde
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>,
Build-Depends:
 cmake (>= 3.3),
 debhelper-compat (= 13),
 extra-cmake-modules,
 gettext,
 iso-codes,
 kirigami2-dev,
 libfcitx5-qt-dev (>= 0.0~git20200615),
 libfcitx5core-dev (>= 0.0~git20200626),
 libfcitx5utils-dev (>= 0.0~git20200626),
 libkf5coreaddons-dev,
 libkf5declarative-dev,
 libkf5i18n-dev,
 libkf5package-dev,
 libqt5x11extras5-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 pkg-config,
 qtbase5-dev (>= 5.14),
 xkb-data,
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/kcm-fcitx5
Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx5.git
Vcs-Browser: https://salsa.debian.org/input-method-team/kcm-fcitx5

Package: kde-config-fcitx5
Architecture: any
Depends:
 fcitx5-module-dbus,
 ${misc:Depends},
 ${shlibs:Depends},
Description: KDE configuration module for Fcitx5
 This is a configuration module for System Settings for configuring
 Fcitx Input Method Framework v5.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/kcm-fcitx5.git \
 HEAD

## kcm-fcitx5 5.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.3 FATAL_ERROR)

set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
set(CMAKE_DISABLE_SOURCE_CHANGES ON)

if ("${CMAKE_BINARY_DIR}" STREQUAL "${CMAKE_SOURCE_DIR}")
  message(FATAL_ERROR "In-source builds are disabled.
    Please create a subfolder and use `cmake ..` inside it.
    NOTE: cmake will now create CMakeCache.txt and CMakeFiles/*.
          You must delete them, or cmake will refuse to work.")
endif()

project(fcitx5-configtool VERSION 5.0.2)

set(QT_MIN_VERSION "5.12.0")
find_package(ECM 1.0.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMSetupVersion)
include(GenerateExportHeader)
option(ENABLE_KCM "Enable KDE Config Module" On)
option(ENABLE_CONFIG_QT "Enable fcitx5-config-qt" On)
option(ENABLE_TEST "Enable test" Off)
add_definitions(-DTRANSLATION_DOMAIN=\"org.fcitx.fcitx5.kcm\")
add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")

find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Concurrent)

if (ENABLE_CONFIG_QT)
    find_package(KF5ItemViews REQUIRED)
endif()

if (ENABLE_KCM)
    find_package(Qt5QuickControls2 REQUIRED)
    find_package(KF5CoreAddons REQUIRED)
    find_package(KF5I18n REQUIRED)
    find_package(KF5Package REQUIRED)
    find_package(KF5Declarative REQUIRED)
    find_package(KF5Kirigami2 5.54 REQUIRED)
    find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)

    if (KF5Kirigami2_VERSION VERSION_LESS 5.54)
        set(DISABLE_UNDER_KIRIGAMI2_5_54 "//Needs Kirigami2 5.54 ")
    else()
        set(DISABLE_UNDER_KIRIGAMI2_5_54 "")
    endif()
endif()

find_package(Fcitx5Core 5.0.4 REQUIRED)
find_package(Fcitx5Config REQUIRED)
find_package(Fcitx5Utils REQUIRED)
find_package(Fcitx5Qt5DBusAddons REQUIRED)
find_package(Fcitx5Qt5WidgetsAddons 5.0.2 REQUIRED)

get_target_property(FCITX5_QT5_GUI_WRAPPER Fcitx5Qt5::gui-wrapper IMPORTED_LOCATION)

find_package(KF5WidgetsAddons REQUIRED)
find_package(IsoCodes REQUIRED)
kde_enable_exceptions()

include("${FCITX_INSTALL_CMAKECONFIG_DIR}/Fcitx5Utils/Fcitx5CompilerSettings.cmake")

find_package(PkgConfig REQUIRED)
find_package(Gettext REQUIRED)
find_package(X11 REQUIRED)
find_package(XKeyboardConfig REQUIRED)
pkg_check_modules(XkbFile "xkbfile" REQUIRED IMPORTED_TARGET)

configure_file(config.h.in config.h)
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(po)
add_subdirectory(src)
add_subdirectory(layout)

=== src/configtool/CMakeLists.txt ===
set(configtool_SRCS
  main.cpp
  mainwindow.cpp
  )

add_executable(fcitx5-config-qt ${configtool_SRCS})
set_target_properties(fcitx5-config-qt
    PROPERTIES
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")

target_link_libraries(fcitx5-config-qt
    Qt5::Widgets configwidgetslib
)

install(TARGETS fcitx5-config-qt DESTINATION ${CMAKE_INSTALL_BINDIR})

=== src/migrator/app/CMakeLists.txt ===
add_executable(fcitx5-migrator main.cpp mainwindow.cpp welcomepage.cpp taskpage.cpp progresspage.cpp)
set_target_properties(fcitx5-migrator PROPERTIES
    AUTOMOC TRUE
    AUTOUIC TRUE
    AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
target_link_libraries(fcitx5-migrator pinyinmigrator skkmigrator rimemigrator kkcmigrator globalconfigmigrator tablemigrator Qt5::Widgets KF5::WidgetsAddons configlib Fcitx5Migrator Fcitx5Qt5::WidgetsAddons Fcitx5Qt5::DBusAddons)
install(TARGETS fcitx5-migrator DESTINATION ${CMAKE_INSTALL_BINDIR})

=== debian/changelog ===
kcm-fcitx5 (5.0.2-1) unstable; urgency=medium

  * update

 -- Debian Input Method Team <debian-input-method@lists.debian.org>  Mon, 12 Jul 2021 13:07:52 +0800

kcm-fcitx5 (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Add patch to relax kirigami2 version to 5.74.0
  * Rename icon to org.fcitx.Fcitx5

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 05 Dec 2020 19:13:56 +0800

kcm-fcitx5 (5.0.0-3) unstable; urgency=medium

  * Add libime-bin to fcitx5-config-qt Recommends
    fcitx5-migrator needs libime-bin to migrate pinyin and table data.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 14:24:37 +0800

kcm-fcitx5 (5.0.0-2) unstable; urgency=medium

  * Add fcitx5-migrator to fcitx5-config-qt package.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 10 Nov 2020 12:29:36 +0800

kcm-fcitx5 (5.0.0-1) unstable; urgency=medium

  * New upstream release
  * Apply Multi-Arch hint
  * Bump fcitx5 to 5.0.1
  * Bump libfcitx5-qt-dev to 5.0.0

 -- Shengjing Zhu <zhsj@debian.org>  Sat, 07 Nov 2020 01:36:54 +0800

kcm-fcitx5 (0.0~git20201028.fd9831d-1) unstable; urgency=medium

  * New upstream snapshot
  * Upload to unstable
  * Bump libfcitx5-qt-dev to 0.0~git20201029
  * Bump fcitx5 to 0.0~git20201030
  * Not install fcitx5-migrator temporary.

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 01 Nov 2020 01:32:01 +0800

kcm-fcitx5 (0.0~git20200822.c8f7e15-2) experimental; urgency=medium

  * Rename fcitx5-configtool to fcitx5-config-qt.
    To follow the name convention like fcitx-config-gtk

 -- Shengjing Zhu <zhsj@debian.org>  Thu, 27 Aug 2020 00:28:03 +0800

kcm-fcitx5 (0.0~git20200822.c8f7e15-1) experimental; urgency=medium

  * New upstream version 0.0~git20200822.c8f7e15
  * Split fcitx5-configtool to separate package
  * Bump libfcitx5-qt-dev to 0.0~git20200821
  * Update upstream URL

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 26 Aug 2020 13:06:38 +0800

=== debian/control ===
Source: kcm-fcitx5
Priority: optional
Section: kde
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Shengjing Zhu <zhsj@debian.org>,
Build-Depends:
 cmake (>= 3.3),
 debhelper-compat (= 12),
 extra-cmake-modules,
 gettext,
 iso-codes,
 kirigami2-dev (>= 5.54.0),
 libfcitx5-qt-dev (>= 5.0.2),
 libfcitx5core-dev (>= 5.0.2),
 libfcitx5utils-dev (>= 5.0.2),
 libkf5coreaddons-dev,
 libkf5declarative-dev,
 libkf5i18n-dev,
 libkf5package-dev,
 libqt5x11extras5-dev,
 libxkbcommon-dev,
 libxkbfile-dev,
 pkg-config,
 qtbase5-dev (>= 5.14),
 qtquickcontrols2-5-dev,
 xkb-data,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx5-configtool
Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx5.git
Vcs-Browser: https://salsa.debian.org/input-method-team/kcm-fcitx5

Package: fcitx5-config-qt
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 kde-config-fcitx5 (<< 0.0~git20200822),
Replaces:
 kde-config-fcitx5 (<< 0.0~git20200822),
Recommends:
 libime-bin,
Description: configuration tool for Fcitx5 (Qt version)
 This is a configuration tool for Fcitx Input Method Framework v5.
 .
 It also provides fcitx5-migrator tool, which helps to migrate data
 from Fcitx4. To migrate Fcitx4 pinyin and table data, it needs tools
 from libime-bin package.

Package: kde-config-fcitx5
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: KDE configuration module for Fcitx5
 This is a configuration module for System Settings for configuring
 Fcitx Input Method Framework v5.

## kcm-fcitx5 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.0.2)
+project(fcitx5-configtool VERSION 5.0.3)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
@@ -26,6 +26,7 @@
 option(ENABLE_TEST "Enable test" Off)
 add_definitions(-DTRANSLATION_DOMAIN=\"org.fcitx.fcitx5.kcm\")
 add_definitions(-DFCITX_GETTEXT_DOMAIN=\"fcitx5-configtool\")
+add_definitions(-DQT_NO_KEYWORDS)
 
 find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS Core Gui Widgets X11Extras Concurrent)
 
@@ -39,13 +40,13 @@
     find_package(KF5I18n REQUIRED)
     find_package(KF5Package REQUIRED)
     find_package(KF5Declarative REQUIRED)
-    find_package(KF5Kirigami2 5.54 REQUIRED)
+    find_package(KF5Kirigami2 5.68 REQUIRED)
     find_package(XKBCommon REQUIRED COMPONENTS XKBCommon)
 
-    if (KF5Kirigami2_VERSION VERSION_LESS 5.54)
-        set(DISABLE_UNDER_KIRIGAMI2_5_54 "//Needs Kirigami2 5.54 ")
+    if (KF5Kirigami2_VERSION VERSION_LESS 5.76)
+        set(DISABLE_UNDER_KIRIGAMI2_5_76 "//Needs Kirigami2 5.76 ")
     else()
-        set(DISABLE_UNDER_KIRIGAMI2_5_54 "")
+        set(DISABLE_UNDER_KIRIGAMI2_5_76 "")
     endif()
 endif()

=== src/migrator/app/CMakeLists.txt ===
--- 
+++ 
@@ -5,3 +5,7 @@
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h")
 target_link_libraries(fcitx5-migrator pinyinmigrator skkmigrator rimemigrator kkcmigrator globalconfigmigrator tablemigrator Qt5::Widgets KF5::WidgetsAddons configlib Fcitx5Migrator Fcitx5Qt5::WidgetsAddons Fcitx5Qt5::DBusAddons)
 install(TARGETS fcitx5-migrator DESTINATION ${CMAKE_INSTALL_BINDIR})
+
+fcitx5_translate_desktop_file(org.fcitx.fcitx5-migrator.desktop.in
+  org.fcitx.fcitx5-migrator.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/fcitx5-configtool)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-migrator.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== debian/changelog ===
kcm-fcitx5 (5.0.3-3) unstable; urgency=medium

  * Add missing Depends for kde-config-fcitx5

 -- Shengjing Zhu <zhsj@debian.org>  Sun, 16 May 2021 14:54:13 +0800

kcm-fcitx5 (5.0.3-2) unstable; urgency=medium

  * Backport patch to fix typo in desktop file

 -- Shengjing Zhu <zhsj@debian.org>  Mon, 22 Feb 2021 00:54:24 +0800

kcm-fcitx5 (5.0.3-1) unstable; urgency=medium

  * New upstream release
  * Bump libfcitx5-qt-dev to 5.0.3
  * Install fcitx5-config-qt and fcitx5-migrator desktop files

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 19 Feb 2021 22:22:56 +0800

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,14 @@
  Shengjing Zhu <zhsj@debian.org>,
 Build-Depends:
  cmake (>= 3.3),
- debhelper-compat (= 12),
+ debhelper-compat (= 13),
  extra-cmake-modules,
  gettext,
  iso-codes,
- kirigami2-dev (>= 5.54.0),
- libfcitx5-qt-dev (>= 5.0.2),
- libfcitx5core-dev (>= 5.0.2),
- libfcitx5utils-dev (>= 5.0.2),
+ kirigami2-dev (>= 5.74.0),
+ libfcitx5-qt-dev (>= 5.0.3),
+ libfcitx5core-dev (>= 5.0.4),
+ libfcitx5utils-dev (>= 5.0.4),
  libkf5coreaddons-dev,
  libkf5declarative-dev,
  libkf5i18n-dev,
@@ -53,6 +53,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
+ kde-cli-tools,
+ qml-module-org-kde-kcm,
+ qml-module-org-kde-kirigami2,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: KDE configuration module for Fcitx5

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://github.com/fcitx/fcitx5-configtool \
  refs/tags/@ANY_VERSION@ debian

## kcm-fcitx5 5.0.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.3 FATAL_ERROR)
+cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(CMAKE_DISABLE_IN_SOURCE_BUILD ON)
 set(CMAKE_DISABLE_SOURCE_CHANGES ON)
@@ -10,11 +10,11 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.0.3)
+project(fcitx5-configtool VERSION 5.0.11)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
+set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
 include(KDEInstallDirs)
 include(KDECMakeSettings)
 include(KDECompilerSettings)
@@ -55,6 +55,10 @@
 find_package(Fcitx5Utils REQUIRED)
 find_package(Fcitx5Qt5DBusAddons REQUIRED)
 find_package(Fcitx5Qt5WidgetsAddons 5.0.2 REQUIRED)
+find_package(Qt5Svg)
+set_package_properties(Qt5Svg PROPERTIES
+    DESCRIPTION "May be used for show icons"
+    TYPE RUNTIME)
 
 get_target_property(FCITX5_QT5_GUI_WRAPPER Fcitx5Qt5::gui-wrapper IMPORTED_LOCATION)
 
@@ -76,3 +80,5 @@
 add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(layout)
+
+feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -6,3 +6,5 @@
 if (ENABLE_CONFIG_QT)
     add_subdirectory(configtool)
 endif()
+
+add_subdirectory(migrator)

=== po/org.fcitx.fcitx5.kcm/CMakeLists.txt ===
fcitx5_install_translation(org.fcitx.fcitx5.kcm)

=== src/configtool/CMakeLists.txt ===
--- 
+++ 
@@ -15,3 +15,6 @@
 )
 
 install(TARGETS fcitx5-config-qt DESTINATION ${CMAKE_INSTALL_BINDIR})
+fcitx5_translate_desktop_file(org.fcitx.fcitx5-config-qt.desktop.in
+  org.fcitx.fcitx5-config-qt.desktop PO_DIRECTORY ${PROJECT_SOURCE_DIR}/po/fcitx5-configtool)
+install(FILES ${CMAKE_CURRENT_BINARY_DIR}/org.fcitx.fcitx5-config-qt.desktop DESTINATION ${CMAKE_INSTALL_DATADIR}/applications)

=== src/migrator/CMakeLists.txt ===
add_subdirectory(app)
add_subdirectory(lib)
add_subdirectory(pinyin)
add_subdirectory(skk)
add_subdirectory(kkc)
add_subdirectory(rime)
add_subdirectory(global)
add_subdirectory(table)

=== src/lib/configlib/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
     layoutprovider.cpp
 )
 set_target_properties(configlib PROPERTIES
-    COMPILE_FLAGS "-fPIC"
+    POSITION_INDEPENDENT_CODE TRUE
     AUTOMOC TRUE
     AUTOUIC TRUE
     AUTOUIC_OPTIONS "-tr=fcitx::tr2fcitx;--include=fcitxqti18nhelper.h"

=== debian/changelog ===
kcm-fcitx5 (5.0.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 03 Feb 2022 17:09:05 -0500

kcm-fcitx5 (5.0.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Sat, 08 Jan 2022 17:37:52 -0500

kcm-fcitx5 (5.0.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.9.
  * debian/control: Require versioned build dependency fcitx5-qt
    5.0.8+.

 -- Boyuan Yang <byang@debian.org>  Wed, 15 Dec 2021 14:47:09 -0500

kcm-fcitx5 (5.0.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release 5.0.8.
  * debian/control: Manually add runtime dependency: libqt5svg5.
  * Drop icon-related patch:
    - debian/patches/0001-rename-icon-to-fcitx5.patch: Removed.

 -- Boyuan Yang <byang@debian.org>  Wed, 24 Nov 2021 13:29:40 -0500

kcm-fcitx5 (5.0.6-2) unstable; urgency=medium

  * Bump fcitx5 and fcitx5-qt versions.
    To rebuild with fixed libexec directory.

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 08 Oct 2021 01:51:59 +0800

kcm-fcitx5 (5.0.6-1) unstable; urgency=medium

  * New upstream release

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 01 Oct 2021 02:42:58 +0800

kcm-fcitx5 (5.0.5-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable
  * Update Standards-Version to 4.6.0 (no changes)

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 25 Aug 2021 12:38:27 +0800

kcm-fcitx5 (5.0.3-5) experimental; urgency=medium

  * Lower the requirements of qtbase5 to 5.12 to align with CMakeLists.txt

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 02:34:31 +0800

kcm-fcitx5 (5.0.3-4) experimental; urgency=medium

  * Lower the requirements of kirigami to 5.68 to align with CMakeLists.txt

 -- Shengjing Zhu <zhsj@debian.org>  Wed, 19 May 2021 02:06:52 +0800

=== debian/control ===
--- 
+++ 
@@ -10,22 +10,23 @@
  extra-cmake-modules,
  gettext,
  iso-codes,
- kirigami2-dev (>= 5.74.0),
- libfcitx5-qt-dev (>= 5.0.3),
- libfcitx5core-dev (>= 5.0.4),
- libfcitx5utils-dev (>= 5.0.4),
+ kirigami2-dev (>= 5.68.0),
+ libfcitx5-qt-dev (>= 5.0.8~),
+ libfcitx5core-dev (>= 5.0.9-2~),
+ libfcitx5utils-dev (>= 5.0.9-2~),
  libkf5coreaddons-dev,
  libkf5declarative-dev,
  libkf5i18n-dev,
  libkf5package-dev,
+ libqt5svg5-dev,
  libqt5x11extras5-dev,
  libxkbcommon-dev,
  libxkbfile-dev,
  pkg-config,
- qtbase5-dev (>= 5.14),
+ qtbase5-dev (>= 5.12),
  qtquickcontrols2-5-dev,
  xkb-data,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx5.git
@@ -34,6 +35,7 @@
 Package: fcitx5-config-qt
 Architecture: any
 Depends:
+ libqt5svg5,
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
@@ -54,6 +56,7 @@
 Multi-Arch: same
 Depends:
  kde-cli-tools,
+ libqt5svg5,
  qml-module-org-kde-kcm,
  qml-module-org-kde-kirigami2,
  ${misc:Depends},

## kcm-fcitx5 5.0.13

=== CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
           You must delete them, or cmake will refuse to work.")
 endif()
 
-project(fcitx5-configtool VERSION 5.0.11)
+project(fcitx5-configtool VERSION 5.0.13)
 
 set(QT_MIN_VERSION "5.12.0")
 find_package(ECM 1.0.0 REQUIRED NO_MODULE)

=== debian/changelog ===
kcm-fcitx5 (5.0.13-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 25 May 2022 11:33:16 -0400

kcm-fcitx5 (5.0.12-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Wed, 16 Mar 2022 20:02:02 -0400

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  qtbase5-dev (>= 5.12),
  qtquickcontrols2-5-dev,
  xkb-data,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/fcitx/fcitx5-configtool
 Vcs-Git: https://salsa.debian.org/input-method-team/kcm-fcitx5.git
